#1 Global Leader in Data Protection & Ransomware Recovery

How to Upgrade Legacy Veeam Backup Server

KB ID: 1803
Product: Veeam Backup & Replication | 6.5 | 7.0 | 8.0 | 9.0 | 9.5 | 10 | 11 | 12 | 12.1
Published: 2013-08-13
Last Modified: 2023-02-14
mailbox
Get weekly article updates
By subscribing, you are agreeing to have your personal information managed in accordance with the terms of Veeam's Privacy Notice.

Cheers for trusting us with the spot in your mailbox!

Now you’re less likely to miss what’s been brewing in our knowledge base with this weekly digest

error icon

Oops! Something went wrong.

Please try again later.

Purpose

This article documents how to upgrade Veeam Backup & Replication when the underlying OS the software is installed on is no longer supported by the version of Veeam Backup & Replication being upgraded to.
History of Veeam Backup Server Guest OS Compatibility
 
Veeam Backup & Replication Version
Windows
6.0 6.1 6.5 7 8 9.0 9.5 9.5 U4 10 11 12
 XP
                     
 2003
                     
 Vista                      
 2008 SP2
                     
 7                      
 2008 R2
                     
 8                      
 2012                      
 8.1                      
 2012 R2
                     
 10                      
 2016                      
 2019                      
 11                      
 2022                      

Solution

Over time Veeam Backup & Replication drops support for being installed on older operating systems. When this occurs, the options are to either:

  • Start fresh with a new deployment of the most recent Veeam Backup & Replication version on a supported operating system.

    or
  • Migrate the existing Veeam Backup & Replication configuration to a new install of Veeam Backup & Replication running on a supported OS.

Below is information pertaining to the latter option, migrating the existing configuration to a new machine running an OS supported by the latest Veeam Backup & Replication version.

Configuration Backup Migration Compatibility

The Configuration Backup feature, introduced in Veeam Backup & Replication 6.5, allows users to restore or migrate their existing configuration. However, the configuration backup files can only be used with future versions of Veeam Backup & Replication that would support an in-place upgrade from the version that created the configuration backup file.

For example, the minimum version of Veeam Backup & Replication that Veeam Backup & Replication 11a supported was 9.5 U4b, because 11a only supported an upgrade from 9.5 Update 4b (build 9.5.4.2866) or higher. In this example, if the existing Veeam Backup & Replication deployment was running version 8.0 U3 (build 8.0.0.2084), it would first have to be upgraded to 9.5 U4b (build 9.5.4.2866). Then the configuration backup file from that version (now 9.5 U4b) could be used to migrate the configuration to a new server running Veeam Backup & Replication 11a.

User guides for current and past versions of Veeam Backup & Replication are available at: https://vee.am/helpcenter

Review the upgrade page within the user guide of the version you intend to install and identify if the version of Veeam Backup & Replication currently installed is compatible.

  • If it is compatible, you can deploy the version of Veeam Backup & Replication you intend to use and then use the configuration backup restore tool to migrate the configuration from the previous Veeam Backup & Replication server.
  • If it is not compatible, identify the minimum version that is supported and review that version's user guide to determine if that version is compatible with the installed version. You may need to perform an in-place upgrade to an intermediary version and generate a new configuration backup file which can then be imported into the new Veeam Backup & Replication server.

Migration Procedure

Review the migration procedure found within the Veeam Backup & Replication User Guide:

To submit feedback regarding this article, please click this link: Send Article Feedback
To report a typo on this page, highlight the typo with your mouse and press CTRL + Enter.

Spelling error in text

This site is protected by hCaptcha and its Privacy Policy and Terms of Service apply except as noted in our Privacy Policy.
Thank you!

Thank you!

Your feedback has been received and will be reviewed.

Oops! Something went wrong.

Please try again later.

You have selected too large block!

Please try select less.

KB Feedback/Suggestion

This form is only for KB Feedback/Suggestions, if you need help with the software open a support case

By submitting, you are agreeing to have your personal information managed in accordance with the terms of Veeam's Privacy Notice.
This site is protected by hCaptcha and its Privacy Policy and Terms of Service apply except as noted in our Privacy Policy.
Verify your email to continue your product download
We've sent a verification code to:
  • Incorrect verification code. Please try again.
An email with a verification code was just sent to
Didn't receive the code? Click to resend in sec
Didn't receive the code? Click to resend
Thank you!

Thank you!

Your feedback has been received and will be reviewed.

error icon

Oops! Something went wrong.

Please try again later.